<?php
/*
Plugin Name: Multi-Site Site List Shortcode
Plugin URI: http://www.chriswiegman.com/projects/wordpress/multi-site-site-list-shortcode/
Description: Displays the site list with a shortcode for network installations
Version: 2.2.1
Author: Chris Wiegman
Author URI: http://www.chriswiegman.com
*/

/*  Copyright (C) 2011 Chris Wiegman (http://www.chriswiegman.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


add_shortcode('site-list', 'display_site_list');

function display_site_list() {
	
	$blogs = get_blog_list( 0, 'all' );
	
	$siteArray = unserialize(get_option(msslsOptions));
	
	if( is_array( $blogs ) ) {
		$output = "<ul>\n";
		foreach( $blogs as $details ) {
		
			if (!is_array($siteArray) || !in_array($details['blog_id'],$siteArray)) {
				$output = $output . '<li><a target="_blank" href="http://' . $details['domain'] . $details['path'] . '">' . get_blog_option( $details['blog_id'], 'blogname' ) . '</a></li>' . "\n";
			}
			
		}
		$output = $output . "</ul>\n";
		echo $output;
	}
}

add_action('admin_menu', 'mssls_admin_menu');

function mssls_admin_menu() {
    
    add_options_page('Mult-site Site List', 'Mult-site Site List', 'manage_options', 'multi-site-site-list-shortcode/Options.php');

}
